LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Newbie (https://www.linuxquestions.org/questions/linux-newbie-8/)
-   -   Fedora 9 dependency errors when installing R 2.7.1.rpm (https://www.linuxquestions.org/questions/linux-newbie-8/fedora-9-dependency-errors-when-installing-r-2-7-1-rpm-663292/)

gareth_t 08-16-2008 05:16 PM

Fedora 9 dependency errors when installing R 2.7.1.rpm
 
Hi

I'm trying to install the R stats package on Fedora 9 and I end up with this message:

[gareth@localhost Download]$ rpm -i r.rpm
warning: r.rpm: Header V3 DSA signature: NOKEY, key ID 97d3544e
error: Failed dependencies:
libtcl8.5.so()(64bit) is needed by R-2.7.1-1.fc9.x86_64
libtk8.5.so()(64bit) is needed by R-2.7.1-1.fc9.x86_64
perl(File::Copy::Recursive) is needed by R-2.7.1-1.fc9.x86_64

I then googled the files and downloaded them. When trying to install them I ended up with this message:

[gareth@localhost Download]$ rpm -i tcl-8.5.1-4.fc9.i386.rpm
error: can't create transaction lock on /var/lib/rpm/__db.000

Now where to from here?

Thanks

lazlow 08-16-2008 05:30 PM

You are trying to use the i386 version when you need the x86_64 version.

gareth_t 08-16-2008 05:45 PM

I see what you mean, although the site that I got it from says it's for Fedora 9 for x86_64
(http://rpmfind.net/linux/rpm2html/se...l8.5.so)-right at the bottom.

where else can I find the right rpm?

John VV 08-16-2008 06:40 PM

first off from your post
Quote:

[gareth@localhost Download]$ rpm -i tcl-8.5.1-4.fc9.i386.rpm
you are trying to install it as a normal user an not as root
try this
Code:

su -
( your root password when asked )
rpm -i tcl-8.5.1-4.fc9.i386.rpm

and DO NOT leave off the - yes that is a minus " - "

lazlow 08-16-2008 06:41 PM

As it is marked .i386 I would say somebody made a mistake.


Where are you getting the R rpm your are trying to use? Usually it is easier just to use yum.

amani 08-16-2008 06:43 PM

Go to the R site and get your correct x86_64 rpm.
e.g.
http://cran.ms.unimelb.edu.au/bin/li...fc9.x86_64.rpm
etc you will need more


All times are GMT -5. The time now is 02:58 AM.